<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<!--
IGAC proyecto SNC

@author pedro.garcia
@description página en la que se muestran las comisiones existentes para que el usuario escoja a cuál
            de ellas adiciona las regiones captura oferta seleccionadas, o,
            se le da la opción de crear una nueva
@version 2.0
@cu CU-TV-0F-03

N: recuerde que es suficiente con actualizar el elemento más externo de una modal (ej: aquí el botón de ver detalle
   comisión actualiza el form de esa página)
-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui" id="comisionesOfPGrid">

    <p:spacer height="5" />

    <p:fieldset>

        <legend>
            <h:outputText styleClass="legendTitle" value="Comisiones de ofertas" />
        </legend>

        <h:panelGrid columns="1" cellspacing="7" width="100%">

            <p:dataTable id="comisionesExistentesId"
                         widgetVar="comisionesExistentesWV"
                         value="#{proyeccionOrdenComisionOfertas.comisionesPorAprobar}"
                         var="comisionExistente" paginator="true" rows="5"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink}
                         {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                         selection="#{proyeccionOrdenComisionOfertas.selectedComisionPorAprobar}"
                         rowKey="#{comisionExistente.id}"
                         emptyMessage="No hay comisiones registradas.">

                <f:facet name="header">
                    <h:outputText value="Comisiones registradas" />
                </f:facet>

                <p:column selectionMode="single" style="width:18px" />

                <p:column headerText="No. Comisión">
                    <p:commandLink oncomplete="memorandoWV.show();"
                                   update=":viewMemo:vistaMemoForm">
                        <h:outputText id="numeroComisionExistente"
                                      value="#{comisionExistente.numero}" styleClass="commandLinkStyle" />
                        <f:setPropertyActionListener
                            value="#{comisionExistente.oficioDocumento}"
                            target="#{proyeccionOrdenComisionOfertas.documentoMemorando}" />
                        <f:setPropertyActionListener
                            value="#{proyeccionOrdenComisionOfertas.rutaMemorandoDesdeAlfresco}"
                            target="#{proyeccionOrdenComisionOfertas.urlArchivoMemorando}" />
                    </p:commandLink>
                </p:column>

                <p:column headerText="Recolectores">
                    <p:dataList value="#{comisionExistente.regionCapturaOfertas}"
                                var="recolector"
                                rendered="#{not empty comisionExistente.regionCapturaOfertas}"
                                styleClass="outputTextStyle">
                        #{recolector.asignadoRecolectorNombre}
                    </p:dataList>
                </p:column>

                <p:column headerText="Fecha">
                    <h:outputText id="fechaComisionExistente"
                                  styleClass="outputTextStyle" value="#{comisionExistente.fechaLog}" />
                </p:column>

                <p:column headerText="Duración">
                    <h:outputText id="duracionComisionExistente"
                                  styleClass="outputTextStyle"
                                  value="#{comisionExistente.duracion} días" />
                </p:column>

            </p:dataTable>

        </h:panelGrid>

    </p:fieldset>

    <h:panelGrid columns="2" cellspacing="7">
        <p:commandButton value="Asignar a comision seleccionada" ajax="true"
                         action="#{proyeccionOrdenComisionOfertas.asignarAComisionSeleccionada}"
                         update=":detalleComisionOfertaForm" icon="ui-icon-circle-plus"
                         rendered="#{not empty proyeccionOrdenComisionOfertas.comisionesPorAprobar}"
                         onstart="statusDialog2.show();"
                         oncomplete="statusDialog2.hide(); detallesComisionWV.show();"
                         onclick="if (comisionesExistentesWV.selection.length == 0) {
                                     alert('Debe seleccionar al menos una comisión.');
                                     return false;
                                 }" />
        <p:commandButton value="Crear comisión" ajax="true"
                         action="#{proyeccionOrdenComisionOfertas.crearComisionOferta}"
                         update=":detalleComisionOfertaForm,
                         :proyectarOrdenComisionForm:proyectarOrdenComisionTV"
                         icon="ui-icon-disk" onstart="statusDialog2.show();"
                         oncomplete="statusDialog2.hide(); detallesComisionWV.show(); "
                         onclick="if (regionesPendientesComisionWV.selection.length == 0) {
                                     alert('Debe seleccionar al menos un área para comisionar.');
                                     return false;
                                 }" />
    </h:panelGrid>

</h:form>
